"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getGraphQLApiUrl = getGraphQLApiUrl;
exports.apolloClient = exports.graphQLApiPath = void 0;

var _apolloClient = require("apollo-client");

var _apolloLinkBatchHttp = require("apollo-link-batch-http");

var _apolloCacheInmemory = require("apollo-cache-inmemory");

var _apolloLink = require("apollo-link");

var _unfetch = _interopRequireDefault(require("unfetch"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var graphQLApiPath = '/graphql';
/**
 * Get the url of the GraphQL API.
 *
 * @returns {string} url - The GraphQL API URL.
 */

exports.graphQLApiPath = graphQLApiPath;

function getGraphQLApiUrl() {
  if (window.location.hostname === 'localhost') {
    return "http://localhost:4876".concat(graphQLApiPath);
  }

  return "https://api.finalcodereview.com".concat(graphQLApiPath);
}

var cache = new _apolloCacheInmemory.InMemoryCache({});
cache.writeData({
  data: {}
});
var apolloClient = new _apolloClient.ApolloClient({
  cache: cache,
  link: _apolloLink.ApolloLink.from([new _apolloLinkBatchHttp.BatchHttpLink({
    fetch: _unfetch.default,
    uri: getGraphQLApiUrl()
  })]),
  resolvers: {}
});
exports.apolloClient = apolloClient;